%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define staticdevelname	%mklibname %{name} -d -s

Name:		       	mcpp
Summary:    		Alternative C/C++ preprocessor
Version:    		2.7.2
Release:    		%mkrel 11
License:    		BSD
Group:      		Development/C++
Source:     		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:			mcpp-2.7.2-automake-1.13.patch
URL:        		http://mcpp.sourceforge.net/
Requires:		%{libname} = %{version}-%{release}

%description
The C/C++ preprocessor defines and expands macros and processes '#if',
'#include', and some other directives.

MCPP is an alternative C/C++ preprocessor with the highest conformance
to standards. It supports multiple standards: K&R, ISO C90, ISO C99, and
ISO C++98. MCPP is especially useful for debugging a source program which uses
complicated macros and also useful for checking portability of a source file.

Although mcpp could be built as a replacement of GCC's resident
proprocessor, or as a stand-alone program without using the library build of
mcpp, this package only installs a program named 'mcpp' which links
to the shared library of mcpp and does not run as part of GCC.

%files
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/LICENSE
%{_defaultdocdir}/%{name}/NEWS
%{_defaultdocdir}/%{name}/README

#-------------------------------------------------------------------------

%package		manual
Summary:		Documentation for %{name}
Group:			Documentation
BuildArch:		noarch

%description		manual
This package provides the documentation for %{name}.

%files			manual
%{_defaultdocdir}/%{name}/*.html

#-------------------------------------------------------------------------

%package -n		%{libname}
Summary:		Libraries for %{name}
Group:			System/Libraries

%description -n		%{libname}
This package provides the libraries for mcpp.

%files -n		%{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

#-------------------------------------------------------------------------

%package -n		%{develname}
Summary:		Development files for %{name}
Group:			Development/Other
Requires:		%{name} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n 	%{develname}
This package contains development files for %{name}.

%files -n		%{develname}
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*

#-------------------------------------------------------------------------

%package -n		%{staticdevelname}
Summary:		Static development files for %{name}
Group:			Development/Other
Requires:		%{develname} = %{version}-%{release}
Provides:		%{name}-static-devel = %{version}-%{release}

%description -n		%{staticdevelname}
This package contains static development files for %{name}.

%files -n		%{staticdevelname}
%{_libdir}/*.a

#-------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --enable-mcpplib
%make

%install
%makeinstall



%changelog
* Sat Feb 06 2016 umeabot <umeabot> 2.7.2-11.mga6
+ Revision: 940465
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7.2-10.mga5
+ Revision: 740948
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.7.2-9.mga5
+ Revision: 727225
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.7.2-8.mga5
+ Revision: 682317
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 shlomif <shlomif> 2.7.2-7.mga5
+ Revision: 606240
- New rel
- Correct some grammatical errors
- Fix grammatical problems in the package description.

* Fri Oct 18 2013 umeabot <umeabot> 2.7.2-6.mga4
+ Revision: 507837
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.7.2-5.mga3
+ Revision: 359846
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 2.7.2-4.mga3
+ Revision: 340711
- fix for automake 1.13

* Sun Oct 14 2012 ennael <ennael> 2.7.2-3.mga3
+ Revision: 305458
- Documentation group

* Sun May 29 2011 blino <blino> 2.7.2-2.mga1
+ Revision: 100641
- split out 700kb of HTML manual in mcpp-manual

* Wed Mar 09 2011 ennael <ennael> 2.7.2-1.mga1
+ Revision: 66918
- add autoreconf
- clean spec file
- imported package mcpp


* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.7.2-1mdv2009.1
+ Revision: 324860
- update to new version 2.7.2

* Fri Nov 07 2008 Michael Scherer <misc@mandriva.org> 2.7.1-1mdv2009.1
+ Revision: 300738
- import mcpp


* Wed Oct 22 2008 incubusss <mdv@incubusss.net> 2.7.1-1mdv2009.0
- initial package
